javax.jms

## Annotation Type JMSDestinationDefinition

-     @Target(value=TYPE)
      @Retention(value=RUNTIME)
      public @interface JMSDestinationDefinition

  An application may use this annotation to specify a JMS `Destination` resource that it requires in its operational environment. This provides information that can be used at the application's deployment to provision the required resource and allows an application to be deployed into a Java EE environment with more minimal administrative configuration.

  The `Destination` resource may be configured by setting the annotation elements for commonly used properties. Additional properties may be specified using the `properties` element. Once defined, a `Destination` resource may be referenced by a component in the same way as any other `Destination` resource, for example by using the `lookup` element of the `Resource` annotation.

  Since:
    JMS 2.0
  Version:
    JMS 2.0
  See Also:
    `Resource`

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `interfaceName` Fully qualified name of the JMS destination interface.
    `String` | `name` JNDI name of the destination resource being defined.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `className` Fully-qualified name of the JMS destination implementation class.
    `String` | `description` Description of this JMS destination.
    `String` | `destinationName` Name of the queue or topic.
    `String[]` | `properties` JMS destination property.
    `String` | `resourceAdapter` Resource adapter name.

- - ### Element Detail

    - #### name

          public abstract String name

      JNDI name of the destination resource being defined.

    - #### interfaceName

          public abstract String interfaceName

      Fully qualified name of the JMS destination interface. Permitted values are `javax.jms.Queue` or `javax.jms.Topic`.

    - #### description

          public abstract String description

      Description of this JMS destination.
      Default:
        ""

    - #### className

          public abstract String className

      Fully-qualified name of the JMS destination implementation class. Ignored if a resource adapter is used unless the resource adapter defines more than one JMS destination implementation class for the specified interface
      Default:
        ""

    - #### resourceAdapter

          public abstract String resourceAdapter

      Resource adapter name. If not specified then the application server will define the default behaviour, which may or may not involve the use of a resource adapter.
      Default:
        ""

    - #### destinationName

          public abstract String destinationName

      Name of the queue or topic.
      Default:
        ""

    - #### properties

          public abstract String[] properties

      JMS destination property. This may be a vendor-specific property or a less commonly used `ConnectionFactory` property.

      Properties are specified using the format: propertyName=propertyValue with one property per array element.

      Default:
        {}

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.